## pumpa 0.9.3

=== src/Makefile ===
all:
	$(MAKE) -C ..

=== src/sundown/Makefile ===
all:
	$(MAKE) -C ../../

## pumpa 0.8.4

=== debian/changelog ===
pumpa (0.8.4-1) unstable; urgency=low

  * Avatar-menu with new auto-minimise feature that automatically
    collapses posts of e.g. noisy users.
  * To/Cc now editable on replies.
  * Inline HTML now allowed using libtidy.
  * Updated German, Spanish, Italian and Na'vi translations.
  * Various bug fixes

 -- Mats Sjöberg <mats@sjoberg.fi>  Sun, 08 Jun 2014 18:27:01 +0300

pumpa (0.8.3-1) unstable; urgency=low

  * Added German translation.
  * Preliminary support for animated GIFs. (Closes: #734494)
  * Fixed bug where replies in context view would only go to original author.
  * Validate SSL certificate on every connection. Don't fall back to non-SSL.
  * Ability to minimise posts in stream.
  * Improvements to fetching replies from people not being followed.
  * Various minor bug fixes.

 -- Mats Sjöberg <mats@sjoberg.fi>  Sun, 23 Mar 2014 20:37:45 +0200

pumpa (0.8.2-1) unstable; urgency=low

  * Initial release. (Closes: #732653)

 -- Mats Sjöberg <mats@sjoberg.fi>  Sun, 29 Dec 2013 11:34:27 +0200

=== debian/control ===
Source: pumpa
Section: net
Priority: optional
Maintainer: Mats Sjöberg <mats@sjoberg.fi>
Build-Depends: debhelper (>= 9),
               libqt4-dev,
               qt4-qmake,
               libqjson-dev,
               libaspell-dev,
               libtidy-dev
Standards-Version: 3.9.5
Homepage: http://saz.im/software/pumpa.html
Vcs-Git: git://git@gitorious.org:pumpa/pumpa.git
Vcs-Browser: https://gitorious.org/pumpa/pumpa

Package: pumpa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple desktop client for pump.io, the distributed social network 
 Pumpa is a simple Qt-based desktop client for identi.ca and other
 pump.io-based distributed social network services.  Pumpa offers
 several improvements over using the web interface, such as better
 notifications and the ability to @reply particular users.

## pumpa 0.9

=== debian/changelog ===
pumpa (0.9-1) unstable; urgency=low

  * Fixed UTF-8 bug introduced in v0.8.4.
  * Fixed bug where image upload consistently fails after an aborted upload.
    (Closes: #734477)
  * Complete @-tagging with display name instead of nick name.
  * More aggressive about reloading inbox to better get missing replies. 
    (Closes: #737081)
  * Fixed download manager memory leaks.
  * Support for editing posts (in HTML only).
  * Fixed bug where copy by Ctrl-C didn't work in text widgets.
  * Be better about showing comments in temporal order.
  * Better display of deleted posts.
  * Various minor bug fixes.

 -- Mats Sjöberg <mats@sjoberg.fi>  Sun, 24 Aug 2014 16:40:19 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libaspell-dev,
                libtidy-dev
 Standards-Version: 3.9.5
-Homepage: http://saz.im/software/pumpa.html
+Homepage: https://pumpa.branchable.com/
 Vcs-Git: git://git@gitorious.org:pumpa/pumpa.git
 Vcs-Browser: https://gitorious.org/pumpa/pumpa

## pumpa 0.9.1

=== debian/changelog ===
pumpa (0.9.1-1~ubuntu15.04.1) vivid-backports; urgency=medium

  * No-change backport to vivid (LP: #1462686)

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 08 Jun 2015 16:24:59 -0500

pumpa (0.9.1-1) unstable; urgency=low

  * Auto-link urls only if we are not using Markdown-mode.
  * Now has an optional character count for people cross-posting to
    character limited instances.
  * Multiple context tabs can now be opened.
  * Now compiles against Qt 5 by default. (Closes: #770145, #771457
  * Added Russian translation by Nikolay Merinov.
  * Now presents an option to abort or ignore when confronted with
    an SSL cert error. (Closes: #781352)

 -- Mats Sjöberg <mats@sjoberg.fi>  Sun, 17 May 2015 20:23:37 +0300

## pumpa 0.9.2

=== debian/changelog ===
pumpa (0.9.2-1) unstable; urgency=low

  * New feature: user profile and avatar image editing.
  * Shares are now visualised with a recycling icon.
  * New language: Finnish.
  * Fixed bug where a shared object might be seen as already liked.
  * Fixed bug where certain authors were seen as being followed even
    though they weren't.

 -- Mats Sjöberg <mats@sjoberg.fi>  Sat, 30 Jan 2016 15:21:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: optional
 Maintainer: Mats Sjöberg <mats@sjoberg.fi>
 Build-Depends: debhelper (>= 9),
-               libqt4-dev,
-               qt4-qmake,
-               libqjson-dev,
+               qtbase5-dev,
+               qt5-qmake,
                libaspell-dev,
                libtidy-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://pumpa.branchable.com/
-Vcs-Git: git://git@gitorious.org:pumpa/pumpa.git
-Vcs-Browser: https://gitorious.org/pumpa/pumpa
+Vcs-Git: git://pumpa.branchable.com/
+Vcs-Browser: http://source.pumpa.branchable.com/?p=source.git;a=summary
 
 Package: pumpa
 Architecture: any

## pumpa 0.9.3

=== debian/changelog ===
pumpa (0.9.3-1) unstable; urgency=medium

  * Fixed bug related to libtidy version compatibility. (Closes: #834031)
  * Added option to set font_size manually in pumpa.conf.
  * Updated German translation.

 -- Mats Sjöberg <mats@sjoberg.fi>  Sat, 05 Nov 2016 06:52:57 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                qt5-qmake,
                libaspell-dev,
                libtidy-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://pumpa.branchable.com/
 Vcs-Git: git://pumpa.branchable.com/
 Vcs-Browser: http://source.pumpa.branchable.com/?p=source.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Use hardening options to build the package
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Use Qt 5
export QT_SELECT=5

%:
	dh $@

=== debian/watch ===
# Upstream source code maintained on gitorious at
# http://source.pumpa.branchable.com/?p=source.git;a=summary
# New releases are tagged with the version number, but there is no way
# to determine a URL scheme to watch. Package is maintained by
# upstream author so this should not be a problem.
